#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-JspiDef0Z0tB2xrquWEa2M
key:                  coinbase-pro-0.9.3.2-JspiDef0Z0tB2xrquWEa2M
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  05a2582a0cd52f85e721a84c7fca29c7
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-JspiDef0Z0tB2xrquWEa2M
depends:
    HsOpenSSL-0.11.7.6-HTl2Hdgh1sw5YXDR27vGo4
    aeson-2.1.2.1-5LFbz27UeRc2IE39j8tZaA
    aeson-casing-0.2.0.0-BVQX9Wddesl9E27vS9YZeV
    async-2.2.5-15OfoiZvWuqFJ47Bsyq43l base-4.15.1.0 binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-4dmvWs2I7PfFlSuI47JTFr exceptions-0.10.4
    http-api-data-0.5.1-JqU70acGMaDC6tbt4F6Gad
    http-client-0.7.14-6pjNg7JAqwu6kWLldQEXsf
    http-client-tls-0.3.6.3-7sLehhGnySb9OAynTPD06f
    http-streams-0.8.9.9-11yPzfqwmdfAKKjmtAAyqJ
    http-types-0.12.3-KnxntuJyLp840IwYW1JdT6
    io-streams-1.5.2.2-Lmkws98w4gpLc9KLAUqApR
    memory-0.17.0-Ba80JGdi30PBt5EgUiQ1Tu
    network-3.1.4.0-9BhTQWlTEgzEJF9ToXEkqb
    servant-0.19.1-2tTfmi8CQmd4WKZ8BMotLh
    servant-client-0.19-A2QYjaeflu2IXdEzt2PRUw
    servant-client-core-0.19-CLjmCAKT8LqKj0YyoRF4Ry
    tasty-1.4.3-IhB53OZ3YrY7KcLf5aIyzi
    tasty-hunit-0.10.1-2D3wHEIwhWy1fN4gBxk7Ok text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unagi-streams-0.2.7-5hf3wOvgM7K8JkooLiUrl4
    unordered-containers-0.2.19.1-UA49xtzCSp2PJ1xuqchgw
    uuid-1.3.15-EdCvREczNPrGDMbcrjPMwt
    vector-0.13.1.0-7cFmSXPxOYHBXGvXz6nsRQ
    websockets-0.12.7.3-G8cdksab1suD2kOWNZp5eD
    wuss-2.0.1.1-LGjmqFqEX1H4UtHkrh0NW1

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

